be.vlaanderen.mercurius.mohm.schemas.v1

## Class PushApplicationViewZorgkasType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.PushApplicationViewZorgkasType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class PushApplicationViewZorgkasType
      extends Object
      implements Serializable

  Generiek type voor de push van een beperkt beeld van de aanvraag voor de zorgkas.

  Java class for PushApplicationViewZorgkasType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PushApplicationViewZorgkasType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="HistoryStatus" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}StatusListType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushApplicationViewZorgkasType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StatusListType` | `getHistoryStatus()` Gets the value of the historyStatus property.
    `void` | `setHistoryStatus(StatusListType value)` Sets the value of the historyStatus property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PushApplicationViewZorgkasType

          public PushApplicationViewZorgkasType()

  - ### Method Detail

    - #### getHistoryStatus

          public StatusListType getHistoryStatus()

      Gets the value of the historyStatus property.
      Returns:
        possible object is `StatusListType`

    - #### setHistoryStatus

          public void setHistoryStatus(StatusListType value)

      Sets the value of the historyStatus property.
      Parameters:
        `value` - allowed object is `StatusListType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.